Subject: Re: bug#13839: xterm/mintty control sequences support when formatOtherKeys = 1

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Jul 2014 14:54:18 -0400

>> > The default value is 41 (in xterm latest version manual).
>> 
>> It seems that indeed the regexp could need revision, but I'd first like
>> to understand what's going on.  The test we want to make is "make sure
>> this terminal understands this and that feature".  So the "P v" field
>> (the version number) only makes sense if the terminal is actually an
>> xterm (or uses a version numbering that implies the same featureset).
>> In my xterms the "P p" value is always 0 and not 41 as you seem to suggest.

In the mean time, we've indeed changed this regexp to accept other
numbers as well, and sure enough this bumped into new bugs with
non-xterm terminals, and we've hacked our way around those as well.
So I think this can be closed now.  Thank you,

        Stefan